From 52a5e5332439dc87fd204e1964a16a08778bcd58 Mon Sep 17 00:00:00 2001
From: Nitin <nitin.jadhav@enterprisedb.com>
Date: Fri, 26 Feb 2021 20:26:38 +0530
Subject: [PATCH] Fix_initdb_output

---
 src/bin/initdb/initdb.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/src/bin/initdb/initdb.c b/src/bin/initdb/initdb.c
index 2b86851..451a4f8 100644
--- a/src/bin/initdb/initdb.c
+++ b/src/bin/initdb/initdb.c
@@ -3239,6 +3239,9 @@ main(int argc, char *argv[])
 		/* ... and tag on pg_ctl instead */
 		join_path_components(pg_ctl_path, pg_ctl_path, "pg_ctl");
 
+		/* Convert pg_ctl path to native path */
+		make_native_path(pg_ctl_path);
+
 		/* path to pg_ctl, properly quoted */
 		appendShellString(start_db_cmd, pg_ctl_path);
 
-- 
1.8.3.1

